pgjdbc 存在SQL注入漏洞

来源: 投稿
2024-02-20 18:26:00

漏洞描述

pgjdbc 是PostgreSQL的JDBC驱动程序。

pgjdbc 受影响版本中配置为使用简单查询模式(preferQueryMode=SIMPLE,非默认情况)时存在SQL注入。

当SQL占位符前存在负号(-)时,用户传入的参数值中负号会被错误解释为行注释,攻击者可利用该特征造成SQL注入,破坏原有语句结构。

漏洞名称 pgjdbc 存在SQL注入漏洞
漏洞类型 SQL注入
发现时间 2024-02-19
漏洞影响广度
MPS编号 MPS-1wko-hvgp
CVE编号 CVE-2024-1597
CNVD编号 -

影响范围

org.postgresql:postgresql@[9.3-1103-jdbc41, 42.7.1]

修复方案

官方已发布补丁:https://github.com/pgjdbc/pgjdbc/commit/93b0fcb2711d9c1e3a2a03134369738a02a58b40

参考链接

https://www.oscs1024.com/hd/MPS-1wko-hvgp

https://github.com/pgjdbc/pgjdbc/commit/93b0fcb2711d9c1e3a2a03134369738a02a58b40

https://github.com/pgjdbc/pgjdbc/security/advisories/GHSA-24rp-q3w6-vc56

    

免费情报订阅&代码安全检测

OSCS是国内首个开源软件供应链安全社区,社区联合开发者帮助全球顶级开源项目解决安全问题,并提供实时的安全漏洞情报,同时提供专业的代码安全检测工具为开发者免费使用。社区开发者可以通过配置飞书、钉钉、企业微信机器人获取一手的情报。

免费代码安全检测工具: https://www.murphysec.com/?src=osc

免费情报订阅: https://www.oscs1024.com/cm/?src=osc

具体订阅方式详见: https://www.oscs1024.com/docs/vuln-warning/intro/?src=osc

展开阅读全文
点击引领话题📣 发布并加入讨论🔥
0 评论
0 收藏
分享
返回顶部
顶部